Ticket #43999

SDL_SetHint not available with all supported SDL/SDL_mixer versions

Open Date: 2022-03-01 23:55 Last Update: 2022-03-03 20:08

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
7
Resolution:
Fixed
File:
1

Details

Build failure (in certain environments) introduced in #43549, on S3_0 branch only (since later branches don't support SDL < 2.0.0). SDL_SetHint is apparently only available since SDL 2.0.0, so building with only libsdl-mixer1.2 passes configure, but fails when compiling client/audio_sdl.c.

Ticket History (3/5 Histories)

2022-03-01 23:55 Updated by: alienvalkyrie
  • New Ticket "SDL_SetHint not available with all supported SDL/SDL_mixer versions" created
2022-03-02 00:26 Updated by: alienvalkyrie
Comment

Note: In particular, this affects anyone trying to build Freeciv 3.0.x on Ubuntu 18.04 LTS "Bionic Beaver": While SDL2 packages are available, the build dependencies of the Freeciv source package (apt build-dep freeciv) only include SDL 1.2 packages.

2022-03-02 07:40 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
2022-03-03 20:08 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Attachment File List

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login